// site-service.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const path = require('path');

const { SiteCommon } = require(path.join(__dirname, 'site-common'));

class SiteService extends SiteCommon {

  constructor (dtp, component) {
    super(dtp, component);
  }

  async start ( ) {
    this.log.debug(`starting ${this.component.name} service`);
  }

  async stop ( ) {
    this.log.debug(`stopping ${this.component.name} service`);
  }
}

module.exports.SiteService = SiteService;
